ClientObject (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.client.rpc.data

## Class ClientObject

- java.lang.Object
- - org.gcube.application.aquamaps.aquamapsportlet.client.rpc.data.ClientObject

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable

      public class ClientObject
      extends Object
      implements com.google.gwt.user.client.rpc.IsSerializable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientObject()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithmType()`
    `String` | `getAuthor()`
    `BoundingBox` | `getBoundingBox()`
    `Boolean` | `getGis()`
    `Integer` | `getId()`
    `Map<String,String>` | `getImages()`
    `String` | `getLayerName()`
    `String` | `getLayerUrl()`
    `String` | `getLocalBasePath()`
    `String` | `getName()`
    `ClientField` | `getSelectedSpecies()`
    `Float` | `getThreshold()`
    `ClientObjectType` | `getType()`
    `void` | `setAlgorithmType(String algorithmType)`
    `void` | `setAuthor(String author)`
    `void` | `setBoundingBox(BoundingBox boundingBox)`
    `void` | `setGis(Boolean gis)`
    `void` | `setId(Integer id)`
    `void` | `setImages(Map<String,String> images)`
    `void` | `setLayerName(String layerName)`
    `void` | `setLayerUrl(String layerUrl)`
    `void` | `setLocalBasePath(String localBasePath)`
    `void` | `setName(String name)`
    `void` | `setSelectedSpecies(ClientField selectedSpecies)`
    `void` | `setThreshold(Float threshold)`
    `void` | `setType(ClientObjectType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientObject

          public ClientObject()

  - ### Method Detail

    - #### setAlgorithmType

          public void setAlgorithmType(String algorithmType)

    - #### getAlgorithmType

          public String getAlgorithmType()

    - #### getLocalBasePath

          public String getLocalBasePath()

    - #### setLocalBasePath

          public void setLocalBasePath(String localBasePath)

    - #### setLayerName

          public void setLayerName(String layerName)

    - #### setLayerUrl

          public void setLayerUrl(String layerUrl)

    - #### getLayerName

          public String getLayerName()

    - #### getLayerUrl

          public String getLayerUrl()

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getAuthor

          public String getAuthor()

    - #### setAuthor

          public void setAuthor(String author)

    - #### getId

          public Integer getId()

    - #### setId

          public void setId(Integer id)

    - #### getType

          public ClientObjectType getType()

    - #### setType

          public void setType(ClientObjectType type)

    - #### getGis

          public Boolean getGis()

    - #### setGis

          public void setGis(Boolean gis)

    - #### getThreshold

          public Float getThreshold()

    - #### setThreshold

          public void setThreshold(Float threshold)

    - #### setBoundingBox

          public void setBoundingBox(BoundingBox boundingBox)

    - #### getBoundingBox

          public BoundingBox getBoundingBox()

    - #### setImages

          public void setImages(Map<String,String> images)

    - #### getImages

          public Map<String,String> getImages()

    - #### setSelectedSpecies

          public void setSelectedSpecies(ClientField selectedSpecies)

    - #### getSelectedSpecies

          public ClientField getSelectedSpecies()

Copyright © 2014. All Rights Reserved.